Description

I would like to have the possibility to affect Parameters in the Subnets UI, the same way it is possible with Domains.

My main use case is to define a "datacenter" parameter associated with each Subnets.

Related issues:

Related to Foreman - Feature #4127: Array, Boolean and other types support in... Closed

Related to Foreman - Bug #5204: support class parameters at the domain and OS... New 04/15/2014

Is duplicate of Foreman - Feature #3582: Allow Subnets to have Parameters lik... Closed 11/05/2013

History

#1 - 02/02/2012 03:09 AM - Ohad Levy

Hmm... would a DC level make more sense?

additionally, you can do that today using the smart variables.

#2 - 02/15/2012 02:53 AM - Ohad Levy

- Status changed from New to Feedback

#3 - 02/26/2012 03:24 AM - Olivier Le Cam

Hi -

Sorry for the delay, I was looking for a few time in order for me to give smart variables a try (never used them before).

Ohad Levy wrote:

Hmm... would a DC level make more sense?

 Do you mean having an additional DC (or Location) entry in the "More" menu as well? That would make sense as one can have same subnet in

different location.

(BTW, I also have the same IP network, sometimes with different default gateways, in different subnets, which seems difficult for foreman to deal

with).

additionally, you can do that today using the smart variables.

 I'm afraid I can't as the subnet information is not part of any Fact. But as a noobs in smart variables I could have missed something. Anyway, SV are

indeed interesting, thanks.

#4 - 02/27/2014 04:39 PM - Benjamin Papillon

- Description updated

Hello,

The subnet still don't have an additional parameter option but Foreman has much more options to manage your data than before.

Did you went around your issue?
Can I close this ticket?

Regards

#5 - 02/27/2014 04:42 PM - Dominic Cleal

- Related to Feature #4127: Array, Boolean and other types support in "hostgroup parameters" added

#6 - 02/27/2014 04:42 PM - Dominic Cleal

As noted in #4127, I'd like to see domain/OS etc parameters replaced with the smart variables implementation so at least you could set overrides

based on whatever object makes sense, rather than being limited to whatever we've added parameters to explicitly.

#7 - 04/15/2014 02:52 PM - Dominic Cleal

- Related to Bug #5204: support class parameters at the domain and OS levels. added

#8 - 01/21/2016 11:40 AM - Bryan Kearney

- Bugzilla link set to 1291935

#9 - 12/12/2016 07:17 AM - Tomer Brisker

- Status changed from Feedback to Duplicate

This has been resolved in #3582

#10 - 12/12/2016 07:17 AM - Tomer Brisker

- Is duplicate of Feature #3582: Allow Subnets to have Parameters like Domains added
